Bug 1496167 - Remove dependency on net-tools
Summary: Remove dependency on net-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goserver
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: deprecation, net-tools
TreeView+ depends on / blocked
 
Reported: 2017-09-26 15:05 UTC by James Hogarth
Modified: 2019-05-05 01:45 UTC (History)
1 user (show)

Fixed In Version: x2goserver-4.1.0.3-3.fc30 x2goserver-4.1.0.3-3.fc28 x2goserver-4.1.0.3-3.fc29 x2goserver-4.1.0.3-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:26:56 UTC
Type: Bug


Attachments (Terms of Use)

Description James Hogarth 2017-09-26 15:05:10 UTC
On linux the net-tools suite of utilities has been long since deprecated.

The relevant code that gets executed on Fedora and EPEL should be identified and patched out, with a suitable pull request upstream, to remove the dependency on any tool in the net-tools package and instead use suitable tools form iproute2.

Comment 1 Fedora End Of Life 2018-02-20 15:35:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Fedora Update System 2019-04-19 03:05:32 UTC
x2goserver-4.1.0.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-89aec11a36

Comment 3 Fedora Update System 2019-04-19 03:05:36 UTC
x2goserver-4.1.0.3-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d619ad6f1d

Comment 4 Fedora Update System 2019-04-19 03:05:40 UTC
x2goserver-4.1.0.3-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-188c23d14a

Comment 5 Fedora Update System 2019-04-19 03:05:43 UTC
x2goserver-4.1.0.3-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-471e610377

Comment 6 Fedora Update System 2019-04-19 15:54:38 UTC
x2goserver-4.1.0.3-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-188c23d14a

Comment 7 Fedora Update System 2019-04-19 18:16:06 UTC
x2goserver-4.1.0.3-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-471e610377

Comment 8 Fedora Update System 2019-04-19 18:47:04 UTC
x2goserver-4.1.0.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-89aec11a36

Comment 9 Fedora Update System 2019-04-19 20:35:57 UTC
x2goserver-4.1.0.3-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d619ad6f1d

Comment 10 Fedora Update System 2019-04-27 21:26:56 UTC
x2goserver-4.1.0.3-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-04-29 01:09:01 UTC
x2goserver-4.1.0.3-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-29 02:14:56 UTC
x2goserver-4.1.0.3-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-05-05 01:45:20 UTC
x2goserver-4.1.0.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.